Subject: Re: [PATCH net-next v2 11/12] selftests: ncdevmem: Move ncdevmem under drivers/net/hw

From: Stanislav Fomichev <[email-masked]>
Date: Thu, 3 Oct 2024 10:25:59 -0700

On 10/03, Mina Almasry wrote:
> On Mon, Sep 30, 2024 at 10:18 AM Stanislav Fomichev <[email-masked]> wrote:
> >
> > This is where all the tests that depend on the HW functionality live in
> > and this is where the automated test is gonna be added in the next
> > patch.
> >
> 
> Tbh I don't like this very much. I wanted to take ncdevmem in the
> opposite direction: to make at least the control path tests runnable
> on netdevsim or something like that and have it not require any HW
> support at all.
> 
> But I see in the cover letter that Jakub himself asked for the move,
> so if there is some strong reason to make this in hw, sure.
> 
> Does it being under HW preclude future improvements to making it a
> non-HW dependent test?

I'm moving it under drivers/net/hw only because I want ncdevmem to end
up as a TEST_GEN_FILES dependency (drivers/net/hw is the directory
that the vendors will eventually run against their HW so this is
where the HW-dependent tests are gonna stay for now). And I'm not sure I
can do a cross directory dependency in TEST_GEN_FILES. But maybe I
haven't looked hard enough?

Let's not marry too much to the location? When you get ncdevmem
working with netdevsim, we can move the file to a different location.